
TYPO3.Fluid - Major Feature # 8773

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Updated: 2010-10-20 Due date:
Has patch:
Subject: Implement support for Widgets
Description

Considerations:
Widgets...
    -  ...are a special implementation of a Fluid ViewHelper
    -  ...behave like "Plugins in Plugins" 
    -  ...(can) implement their own Controller & Template
    -  ...should be integratable without the need to modify the orignial Package/Plugin (e.g. add pagination to Blog posts by adding the
widget to your custom template)

Possible widgets:
    -  Pagination Widget: If put in the template like <f:widget.pagination items="{posts}" as="postsOfThisPage" /> (syntax is not clear
yet) will fetch a subset of posts and make it available as "postsOfThisPage". To prevent, that all posts are loaded, we'll need some
special lazy loading proxy (see related issue)
    -  Autocompletion
    -  Sortable grid
    -   maps
    -  ...

Related issues:
related to Base Distribution - Story # 8643: As a Developer I want a Plugin A... Resolved 2010-07-04
related to TYPO3.Flow - Feature # 8774: Query::execute() should return a Prox... Resolved

Associated revisions
Revision c9226ecd - 2010-09-27 13:13 - Sebastian Kurfuerst

[+FEATURE] Fluid: Add Widget ViewHelpers

Widget ViewHelpers enable complex functionality like Paginators,
Sorters, Autocompleters to be inserted easily into the template.

In this patch, we ship the <f:widget.paginate> ViewHelper, to create a
pagination, and the <f:widget.autocomplete>-Widget, which does an
autocompletion.

Change-Id: I5b799bcd5e247e8cdb121add1af80dfad85a410c
Resolves: #8773

History
#1 - 2010-08-26 20:41 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst
- % Done changed from 0 to 20

Actually this is more a fluid thing, that's why I move it over to Fluid.
#2 - 2010-08-26 20:42 - Sebastian Kurfuerst
- Project changed from TYPO3.Flow to TYPO3.Fluid
- Category deleted (MVC)

#3 - 2010-08-26 20:44 - Sebastian Kurfuerst
- Status changed from New to Accepted

http://github.com/skurfuerst/fluid/tree/widgets
http://github.com/skurfuerst/FLOW3

basically works, still needs quite some cleanup and API-thoughts, tough.

#4 - 2010-09-27 13:14 - Karsten Dambekalns
- Target version set to 1.0 alpha 12

#5 - 2010-09-27 13:30 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 20 to 100

Applied in changeset commit:"c9226ecdbbfe40d74debbb3c419d01ff40a3fd7b".
